AIT Updater WordPress Plugin

Automatic WordPress Theme & Plugin Updates
Compatible themes: Categories: All
intro

Translated into 26 languages

intro
It’s time to join our 105,268 happy customers to download our products!

This plugin simplifies the process of updating AIT themes and plugins. By using this plugin there is no more necessity to download install packages and upload them via wp-admin or FTP protocol manually. This way, automatic updates save your time and prevent you from doing boring routine. Thanks to them you are quickly informed about a new version and with just only one click will be your theme up to date. All important information can be found in Updates section of WordPress Dashboard.

v5.0.6
CreatedMay 5, 2015
Last UpdateJune 28, 2017
WordPress 4.7.x
Translated Languages 26
Compatible Browsers IE9+, Chrome, Firefox, Safari
v5.0.6 June 28, 2017
- Fix: Compatibility with PHP 5.x version. But anyway, we really really recommend to switch to PHP 7 if you can
v5.0.5 June 19, 2017
- Fix: Compatibility with PHP 5.x version
v5.0.4 June 19, 2017
- Fix: Problem with activating theme immidiately after installation on "Add New Theme" screen from AitThemes.club tab
v5.0.2 April 27, 2017
- Improvement: Sanitize credentials from input fields before saving to DB - triming possible whitespaces surrounding text strings
v5.0.1 February 16, 2017
- Fix: Fixed some weird edge case with plugins update mechanism
- Fix: Error after updating from v3.x to v5.0
v5.0 February 8, 2017
- New: Redesign of the plugin's settings page
- Improvement: Simplified and refactored code
v3.4.3 January 12, 2017
- Fix: CSS classes conflicts with redesigned Theme Options / Page Builder
v3.4.2 December 6, 2016
- Update: Compatibility with the newest WordPress 4.7
v3.4.1 September 8, 2016
- Fix: Error logging when request to server was unsuccesfull
- Fix: Detect AIT SysInfo plugin as a free plugin
- Fix: Support for installing Revolution Slider from "Plugins -> Add new" WordPress screen
v3.4.0 August 30, 2016
- Update: Compatibility with new AitThemes.Club membership subscriptions
v3.3.2 August 18, 2016
- Update: Improvements of updating themes from ThemeForest
v3.3.1 August 12, 2016
- Update: Some customers with old purchases from Themeforest still needs Envato API credentials to access updates
v3.3.0 August 11, 2016
- Update: Streamlined updating process. You need only AitThemes.Club API credentials now.
v3.2.5 July 14, 2016
- Fix: The Updater updates only our modified version of the Revolution Slider. The official Revolution Slider is updated by its own updating mechanism
v3.2.4 June 30, 2016
- Fix: Fixed typo in the code
v3.2.3 June 29, 2016
- Improvement: Better detection of our older AIT themes (TourOperator, BusinessFinder, Lawyer, GuestHouse, etc...) for checking updates and downloading updates
v3.2.2 June 9, 2016
- Improvement: Better detection of AIT themes and plugins for checking updates and downloading updates
v3.2.1 May 19, 2016
- Fix: Show all plugins / themes - wp.org's and AIT's - in the search results on 'Add Plugin/Theme' admin page
v3.2.0 April 18, 2016
- New: When a theme folder name was renamed thus theme can't get updates, it can be fixed from Updater Settigns Page. By clicking on the "Fix it" button it will rename the folder to correct name and also associated theme settings in the database.
v3.1.0 October 29, 2015
- New: Implemented server side validation of API keys via WP Settings API
- New: Implemented client side (JavaScript) validation of API Keys
v3.0.1 October 6, 2015
- Update: Increased timeout for HTTP connection while checking for new updates.
- Tweak: Better informative error message for Envato API response when it returns error 400 Bad request
v3.0.0 August 28, 2015
- Tweak: To minimize confusion, there are now listed all themes and plugins above fields for entering credentials, which should tell you what credentials you need to enter to update specific product.
- Update: The plugin is now using v2.0 endpoint of our API.
- Update: Some other improvements around updating ThemeForest or AitThemes.club themes and plugins
v2.2.1 August 19, 2015
- Update: Better detection and handling of free plugins (mainly AIT Updater itself). Free plugins don't need API key to be updated.
v2.2.0 August 18, 2015
- Tweak: Improved UI and UX of plugin's Settings Page
v2.1.4 August 12, 2015
- Fix: "Warning: Missing argument 2 and 3 for Ait\SystemApi\Response::__construct()"
v2.1.3 August 6, 2015
- Fix: 'Fatal error: Call to a member function getData() on a non-object in src/Updater/Themes.php on line 103'
v2.1.2 July 27, 2015
- Fix: Validation of fields and error messages reporting on the plugin's settings page was not working properly in some edge cases
v2.1.1 June 25, 2015
- Tweak: Improved info messages to better comunicate what you can do when you don't have correct subscription level and you are trying to install new theme or plugin.
- Fix: Fixed bug when non original AIT plugins, like Revolution Slider, couldn't be updated. That means updates for Revolution Slider works now.
v2.1.0 June 24, 2015
- Feature: You can now install our themes and plugins directly from WP admin. List of themes and plugins are under these menu items: "Plugins -> Add new -> AitThemes.club tab" and "Themes -> Add new -> AitThemes.club tab"
v2.0.2 June 16, 2015
- Fix: In some edge cases with combination of ThemeForest themes and themes from our Club, Updater couldn't detect new updates.
v2.0.1 June 5, 2015
- Fix: Updating of plugins and doing backups of old versions of plugins/themes was broken in v2.0 due to incorrect PHP namespacing.
       If you updated to v2.0 already you will probably have to download this update manualy from https://system.ait-themes.club/plugins/
       Otherwise if you still have v1.0 just update it to this v2.0.1 and everything is ok.
v2.0 June 3, 2015
- Release: Stable v2.0 - Implemented Envato API for downloading updates for our themes from ThemeForest
- Tweak: Some improvements and code refactorings
v1.0 May 18, 2015
- Release: Stable v1.0
- Tweak: Correctly escape changelog messages
- New: Added info about "Requires WordPress Version" and "Compatible up to" to plugin details pop-up window
v1.0-rc3 May 13, 2015
- Fix: Correct displaying of admin menu item on multisite vs. singlesite and. Fixed some typos. Removed <details> tag for list of backups
v1.0-rc2 May 12, 2015
- Feature: Option for backuping old version of themes or plugins before update

All important information at one place

You can find here all information such as:

  • Actual version of your website

  • Latest available version and its release date

  • Compatibility with WordPress versions

  • Changelog of themes and plugins

Compatibility with AIT Themes

Plugin is compatible with the latest AIT themes. Those which are presented as “Translated and Multilingual” and older ones, presented as “WPML ready” which were build on our older framework v1.
AIT Updater is compatible with themes or plugins, which are beeing sold at our Club but also via other 3rd-party providers.

How your website knows a new update is available?

With help of username and API key your website communicate with a server, where is source package stored.
Depending on where you have bought your theme is necessary to enter following credentials right into settings of AIT Updater:

Theme bought on Ait-Themes.CLUB

  • Username - which you are logging in to www.ait-themes.club with

  • API key - can be found under "My Account"

Theme bought on Themeforest

  • Themeforest account username

  • Envato API key - can be found in your account profile under Settings

AIT Updater plugin works with certain version of theme and above.
Take a look at detailed instructions how to activate and configure it.

DOCUMENTATION

Trusted by amazing people

We build WordPress themes since 2008. See what are our clients say about our themes and after purchase support.

Loading…

Do you have a pre-sale question or suggestion?

Feel free to write us your comment.

Comments (29)

  1. Multi Author theme

    Hello,
    I am pretty much ready to buy the theme, however I want to know if you offer the po file that I can edit to have my frontend in French.
    I know you have a language plugin, but I can’t afford the price which is more than what the multi-author cost.
    I only want to translate the frontend to French and can do so manually if given the po file.
    Please clarify that aspect.
    Thanks
    LUC

  2. aki

    is it possible to deactivate this plugin from my events guide site? because every time its doing an update all my customization in sidebar-map.latte is gone. or is there a way to fix that settings?

  3. Shannon

    This plugin does not work with Cityguide. Everytime there is a theme update it breaks the site. Do not use with Cityguide

    1. Zlatko

      Hello Shannon,

      thanks for your message. I’d like to kindly ask you to post technical question on our support ticket system. Please log in to your account https://system.ait-themes.club/support/. Our technicians can answer most efficiently. Secondly, i have tested the plugin with own installation of City Guide and everything works correctly. In the meantime please kindly check also you knowledge base: https://www.ait-themes.club/knowledgebase/

      Best, Zlatko

  4. Tim Davies

    I bought Directory +
    Item Purchase Code: xxx
    Purchase Date: 2014-05-03 11:13:30 UTC

    I am running versions:
    AIT Toolkit: 1.7.5
    AIT Languages: 2.0.6
    AIT shortcodes: 1.1.1
    Directory Plus theme: 1.3.1

    I cannot see what is the latest version. Where can I see that?

    How do I update from these versions to the current ones?
    Will it break my site?

    I purchased extended support for my theme but when I go to add a question in my AIT account my Directory Plus theme is not one of the options.

    I am very nervous of updating after the trauma of updating from Directory to Directory +

    Please answer questions above so I can move forward.

    Thanks
    Tim

    1. Zlatko

      Hello Tim,
      – the current version of Directory+ theme is: v1.61, from 25.08.2016
      – information about the latest available version is placed in the down left corner in the header of the product’s presentation page: https://www.ait-themes.club/wordpress-themes/directory2
      – to update theme please check the documentation: https://www.ait-themes.club/documentation
      – to update you can use AIT Updater plugin: https://www.ait-themes.club/documentation/#updater-plugin
      – before update – perform theme backup and if you have performed some customization – you should use child theme, follow the next article: https://www.ait-themes.club/knowledge-base/activate-child-theme-on-live-website/
      – our developer will have a check your account whether everything is ok, but obviously you should have an access to open new ticket regarding directory+ theme ..
      Hope this wil help,
      Best, zlatko

    2. Zlatko

      Hi again,
      an additional answer to your latest question – you must be able to post new ticket with category Directory+ via our support forum, here is the screen of the options you have currently available: goo.gl/UUhDbH
      Best, Zlatko.

    1. Zlatko

      Hello,
      please consider the following steps and instructions:
      After creating registration form: https://www.ait-themes.club/doc/how-to-create-submit-listing-page/
      and setting the user’s packages: https://www.ait-themes.club/doc/users-registration-packages-options/
      you can help to all of your users when you introduce a nicer design of the WP administration by using Easy Admin plugin: https://www.ait-themes.club/wordpress-plugins/easy-admin/
      Thanks to Easy Admin you can create an user friendly admin’s feel of look and comfortable navigation, which helps especially to all non-wordrpess users in order simplify their work in WordPress administration. Please have a look at documentation files also:https://www.ait-themes.club/documentation/#easy-admin-plugin
      Hope this will help.
      Best regards,
      Zlatko

    1. Emilia

      Hello Jorge

      theme package doesn’t contain Ait Languages plugin. Now you can purchase all plugins for special price and you’ll get all our themes as well.

      Kind Regards

    1. Zlatko

      Hello,
      please have a look at the theme hosting requirements: https://www.ait-themes.club/doc/hosting-requirements/
      or feel free to post technical question directly in our dedicated support ticket system. Please login into your account at https://system.ait-themes.club/support/.
      Our technicians can answer most efficiently even as quick as possible when you decide for priority question (obviously within a few working hours).
      Customer Support is provided during working days from 8am to 5pm Central European Time.
      Best,
      Zlatko

  5. Bocca

    Hi, the theme from the website I manage has disappeared. I don’t know how to repair it without losing all the content. Please help.

    1. Zlatko

      Hello Bocca,
      thanks for your message. I’d like to kindly ask you to check our knowledge base and/or documentation
      https://www.ait-themes.club/documentation/ | https://www.ait-themes.club/knowledge-base
      —> https://www.ait-themes.club/doc/hosting-requirements/
      or feel free to post technical question directly in our dedicated support ticket system. Please login into your account at https://system.ait-themes.club/support/.
      Our technicians can answer most efficiently even as quick as possible when you decide for priority question (obviously within a few working hours).
      Thanks for understanding.
      Kind regards!
      Zlatko

  6. Matt

    Hi,
    I purchased the full package 18months ago and I didn’t renew as my website is up and running.
    I need to do some slight modifications in the content and I am surprised to see that some of the code is breaking even if I didn’t do any updates…
    As an example, I can’t toggle on and off in the theme builder.
    Please advise how i can fix this.
    thanks
    Matt

    1. Zlatko

      Hello Matt,
      thanks for your message. Your account is inactive from 2016-11-04 and from that time we have released some updates. Please, check your theme/plugin versions with the latest supported one on our website that you can easily find according the instruction on the screenshot: https://prntscr.com/fu4ucu
      You can also check out the history of updates in changelog file.
      Please kindly note, that the theme or plugin with old version can generate any kind of issues.
      Best regards!
      Zlatko

    1. Zlatko

      Hello Steven,
      thanks for asking. The current AIT Updater plugin version is: Version 5.0.6 and it’s working correctly on our testing WP Multisite. Could you check your installation, please?
      Best regards!
      Zlatko

  7. Steven Priddy

    I currently have it installed on 2 multisites and it does not show up in the admin panel in any location. I have tried checking everything in the documentation but it still doesn’t show.

    1. Zlatko

      Hello Steven,
      please contact directly our dedicated support ticket system. You can login into your account at https://system.ait-themes.club/support/.
      Our technicians can answer most efficiently even as quick as possible when you decide for priority question (obviously within a few working hours). Customer Support is provided during working days from 8am to 5pm Central European Time.
      Thanks for understanding.
      Kind regards!
      Zlatko

Leave a Reply

Your email address will not be published. Required fields are marked *

Other WordPress Plugins from Our Portfolio

Pre-sale Questions